Bug 219202 - tdfx: compressed textures busted
tdfx: compressed textures busted
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
bzcl34nup
:
Depends On: 216773
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-11 16:36 EST by Adam Jackson
Modified: 2008-05-06 21:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:02:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Jackson 2006-12-11 16:36:54 EST
Cloned for compressed textures bug below...

+++ This bug was initially created as a clone of Bug #216773 +++

Whenever I try to run an openGL application all I get is a black window and I 
get the error. 

    libGL warning: 3D driver claims to not support visual 0x4b. 

Some applications will freeze and the window can't be closed and the process 
can't be killed but I can still move the window around. Oddly enough openGL 
works for the gnome screen saver config dialog for a while but if you preview 
in full screen, click outside of the dialog, or switch through several GL 
screensavers it stops working and I just get blank screens for the GL 
screensavers till I reboot.

Version-Release number of selected component (if applicable):


How reproducible:
Every time.

Steps to Reproduce:
1.Run glxgears or and openGL application.
  
Actual results:
Windows lock up with blank black screen. Get error listed above. Some windows 
freeze

Expected results:
Applications to actually work.

Additional info:

-- Additional comment from bob23132@hotmail.com on 2006-11-21 17:39 EST --
Sorry this is on a system with a Voodoo 5 5500 and the tdfx driver and I have 
mesa-libGL-6.5.1-8

-- Additional comment from ajackson@redhat.com on 2006-12-05 10:39 EST --
Updating summary, the visual message is harmless.

-- Additional comment from ajackson@redhat.com on 2006-12-05 10:39 EST --
There is a new tdfx driver in updates-testing for FC6, 1.3.0-2, does this work
any better for you?

-- Additional comment from bob23132@hotmail.com on 2006-12-05 16:19 EST --
(In reply to comment #3)
> There is a new tdfx driver in updates-testing for FC6, 1.3.0-2, does this 
work
> any better for you?

Much better however some apps still won't run (such as foobilliards) and 
compiz and beryl still don't work but for the mosyt part all works pretty well 
now

-- Additional comment from bob23132@hotmail.com on 2006-12-07 14:05 EST --
Another aaplication that does not run is google earth. Another user I know who
has had the same problems as I has experienced similar behavior. Here is the
output from the last time I ran Google Earth:

[root@wHack Desktop]# googleearth 
libGL warning: 3D driver claims to not support visual 0x4b
googleearth-bin: tdfx_tex.c:1621: tdfxCompressedTexImage2D: Assertion
`texImage->IsCompressed' failed.
Google Earth has caught signal 6.

Stacktrace from glibc:
  ./googleearth-bin(__gxx_personality_v0+0x1b8) [0x804b154]
  ./googleearth-bin [0x804b53b]
  [0x233420]
  [0x233402]
  /lib/libc.so.6(gsignal+0x50) [0x411ead40]
  /lib/libc.so.6(abort+0x101) [0x411ec591]
  /lib/libc.so.6(__assert_fail+0xfb) [0x411e438b]
  /usr/lib/dri/tdfx_dri.so [0x33afd87]
  /usr/lib/dri/tdfx_dri.so(_mesa_CompressedTexImage2DARB+0x2e7) [0x342d2a7]
  ./libIGGfx.so(_ZN3Gap3Gfx10defTextureERNS0_7TextureEbb+0x66e) [0x29e9e2e]
  ./libIGGfx.so(_ZN3Gap3Gfx18igOglVisualContext10setTextureEii+0x1be) [0x29ea12e]
 
/usr/local/google-earth/libevll.so(_ZN5earth4evll7Texture17syncCreateTextureERN3Gap3Gfx11igImageListE+0x88b)
[0x22b4851]
 
/usr/local/google-earth/libevll.so(_ZN5earth4evll17SyncCreateTexture7executeEv+0x1e)
[0x22b8ba0]
 
./libgoogleearth.so(_ZN5earth6client11Application7executeERNS_5Timer10SyncMethodEb+0x1f4)
[0x63e842]
  ./libbase.so(_ZN5earth5Timer7executeERNS0_10SyncMethodEb+0x25) [0x6cb8f3]
 
/usr/local/google-earth/libevll.so(_ZN5earth4evll17SyncCreateTexture6CreateERNS0_7TextureEPN3Gap3Gfx7igImageE+0x42)
[0x22b7f6a]
 
/usr/local/google-earth/libevll.so(_ZN5earth4evll7Texture12ProcessWorkQEd+0xf3)
[0x22b55ab]
  /usr/local/google-earth/libevll.so(_ZN5earth4evll7Texture8endFrameEd+0x1a)
[0x22c148c]
 
/usr/local/google-earth/libevll.so(_ZN5earth4evll13VisualContext8endFrameEv+0x135)
[0x22bf4eb]
  /usr/local/google-earth/libevll.so(_ZN5earth4evll13VisualContext4drawEbb+0xa8)
[0x22c12ec]
 
/usr/local/google-earth/libevll.so(_ZN5earth4evll17RenderContextImpl4drawEv+0x58)
[0x2283bfa]
  ./librender.so(_ZN12RenderWidget10paintEventEP11QPaintEvent+0x24) [0x1824178]
  ./libqt-mt.so.3(_ZN7QWidget5eventEP6QEvent+0x2c2) [0x1225242]
  ./libqt-mt.so.3(_ZN12QApplication14internalNotifyEP7QObjectP6QEvent+0xa1)
[0x117a691]
  ./libqt-mt.so.3(_ZN12QApplication6notifyEP7QObjectP6QEvent+0xc9) [0x117b179]
  ./libqt-mt.so.3(_ZN9QETWidget19translatePaintEventEPK7_XEvent+0x389) [0x11033a9]
  ./libqt-mt.so.3(_ZN12QApplication15x11ProcessEventEP7_XEvent+0xe59) [0x110bbb9]
  ./libqt-mt.so.3(_ZN10QEventLoop13processEventsEj+0x23a) [0x112045a]
  ./libqt-mt.so.3(_ZN10QEventLoop9enterLoopEv+0xc3) [0x1191f83]
  ./libqt-mt.so.3(_ZN10QEventLoop4execEv+0x26) [0x1191e66]
  ./libqt-mt.so.3(_ZN12QApplication4execEv+0x1f) [0x117a08f]
  ./libgoogleearth.so(_ZN5earth6client11Application3runEiPPc+0xe91) [0x63fb71]
  ./libgoogleearth.so(_ZN5earth6client11ApplicationC1EiPPcb+0xc75) [0x640afd]
  ./googleearth-bin(main+0x123) [0x804b70b]
  /lib/libc.so.6(__libc_start_main+0xdc) [0x411d7f2c]
  ./googleearth-bin(__gxx_personality_v0+0x45) [0x804afe1]




We apologize for the inconvenience, but Google Earth has crashed.
 This is a bug in the program, and should never happen under normal
 circumstances. A bug report and debugging data are now being written
 to this text file:

    /root/.googleearth/crashlogs/crashlog-1EADBC00.txt

This bug report will be sent to Google automatically next time you run
 Google Earth. Its data, which contains no personal information, will help
 us correct problems without bothering you further. If you would rather
 this info not be transmitted, please delete the above file before running
 the program again. If you want bug reports to NEVER be sent, remove the
 above 'crashlogs' directory's read/write permissions.


-- Additional comment from ajackson@redhat.com on 2006-12-11 15:13 EST --
Please, one bug per issue in the future.

compiz and beryl are unlikely to ever work on the 3dfx cards, as they do not
support non-power-of-two textures.
Comment 1 Bug Zapper 2008-04-03 14:46:51 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 2 Bug Zapper 2008-05-06 21:02:43 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.